Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000601bareos-core[All Projects] directorpublic2016-01-18 15:572016-07-05 12:20
Reporterdaniel 
Assigned Topstorz 
PriorityhighSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version15.2.2 
Target VersionFixed in Version 
Summary0000601: Director crashes if estimate is used for a ndmp client
DescriptionIf you try an estimate to a ndmp client the director crashes immediately.

estimate is not possible on ndmp client cause ndmp can not act like a normal bareos-fd.

But such call should not crash the director. It should better show a warning or information that a estimate is no valid action for a ndmp client.

And there should be a note in the documentation about it.
Steps To Reproduceestimate client=<your-ndmp-client>|job=<your-ndmp-job>
Additional InformationNeed Informations where already send to the developers.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impact
bareos-14.2: actionnone
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
related to 0000625closedmaik Release bareos-15.2.3 

-  Notes
(0002153)
mvwieringen (developer)
2016-01-22 16:49

Fix committed to bareos master branch with changesetid 6092.

- Related Changesets
bareos: master 6a003a04
Timestamp: 2016-01-18 15:50:15
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Estimate call crashes on ndmp client

Fixes 0000601: estimate crashes director when called for ndmp client
mod - src/dird/ua_cmds.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-18 15:57 daniel New Issue
2016-01-18 16:39 pstorz Assigned To => pstorz
2016-01-18 16:39 pstorz Status new => acknowledged
2016-01-22 16:49 mvwieringen Changeset attached => bareos master 6a003a04
2016-01-22 16:49 mvwieringen Note Added: 0002153
2016-01-22 16:49 mvwieringen Status acknowledged => resolved
2016-01-22 16:49 mvwieringen Resolution open => fixed
2016-03-11 14:31 maik bareos-15.2: impact => yes
2016-03-11 14:31 maik bareos-15.2: action => will care
2016-03-11 14:32 maik Relationship added related to 0000625
2016-07-05 12:20 joergs bareos-master: impact => yes
2016-07-05 12:20 joergs bareos-master: action => fixed
2016-07-05 12:20 joergs bareos-15.2: action will care => fixed
2016-07-05 12:20 joergs bareos-14.2: action => none


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker